[needs packaging] dvdstyler

Bug #1933114 reported by InfoLibre
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
dvdstyler (Ubuntu)
Triaged
Wishlist
Unassigned

Bug Description

Could someone create a new package for dvdstyler version 3.2 ?

DVDStyler is a cross-platform free DVD authoring application for the creation of professional-looking DVDs.

URL: https://dvdstyler.org
License: GNU GENERAL PUBLIC LICENSE Version 2
Notes: a PPA exists for dvdstyler 3.1-0 (see https://launchpad.net/~ubuntuhandbook1/+archive/ubuntu/dvdstyler), and I can't find it in https://packages.ubuntu.com/search?keywords=dvdstyler&searchon=names&suite=all&section=all

https://github.com/linuxmint/linuxmint/issues/357

Revision history for this message
Erich Eickmeyer  (eeickmeyer) wrote :

Thank you for taking the time to request this package and helping to make Ubuntu better. Unfortunately you have not provided enough information for a developer to start packaging this application. Please make sure this bug meets the guidelines at https://wiki.ubuntu.com/UbuntuDevelopment/NewPackages. An example of a complete package request is available at https://wiki.ubuntu.com/UbuntuDevelopment/NewPackages/ExamplePackageRequest.

Changed in dvdstyler (Ubuntu):
status: New → Incomplete
summary: - dvdstyler - needs packaging
+ [needs packaging] dvdstyler
Revision history for this message
InfoLibre (david-vantyghem) wrote (last edit ):
description: updated
description: updated
description: updated
description: updated
Revision history for this message
InfoLibre (david-vantyghem) wrote :

Thank you, I updated my request.

description: updated
description: updated
Revision history for this message
Hans Joachim Desserud (hjd) wrote :

I took the liberty of adjusting the tags to the official one.

Looking at the publishing history [1] it looks like one of the reasons why this package was originally removed from Ubuntu was because it used older libraries. Do you know whether this has been resolved?

[1] https://launchpad.net/ubuntu/+source/dvdstyler/+publishinghistory

tags: added: needs-packaging
removed: needs-package
Revision history for this message
InfoLibre (david-vantyghem) wrote :

No, I don't know. I'm using the PPA but it's an old version of DVDStyler (3.1-0).

Revision history for this message
Brian Murray (brian-murray) wrote :

*** This is an automated message ***

This bug is tagged needs-packaging which identifies it as a request for a new package in Ubuntu. As a part of the managing needs-packaging bug reports specification, https://wiki.ubuntu.com/QATeam/Specs/NeedsPackagingBugs, all needs-packaging bug reports have Wishlist importance. Subsequently, I'm setting this bug's status to Wishlist.

Changed in dvdstyler (Ubuntu):
importance: Undecided → Wishlist
Revision history for this message
InfoLibre (david-vantyghem) wrote :
Revision history for this message
Erich Eickmeyer  (eeickmeyer) wrote :

With regards to bug 105653, dvdstyler was in the archive at some point, but was removed. Likely, it was introduced in Debian and auto-synced, but then removed from Debian and subsequently removed from Ubuntu.

Have you done a request for packaging in Debian? If you did that, and someone packages it (including yourself) and it is uploaded, then it would be almost automatically included in Ubuntu.

Changed in dvdstyler (Ubuntu):
status: Incomplete → Triaged
Revision history for this message
InfoLibre (david-vantyghem) wrote :

No, I don't know how to do that.

Revision history for this message
Erich Eickmeyer  (eeickmeyer) wrote :

With regard to Debian, the Request For Packaging process is described here: https://wiki.debian.org/RFP

Please bear in mind, though, that nearly all packages are created by volunteers which need to take time out of their day to do these. Therefore, you're more likely to get an application packaged by putting in the work and learning how to do it yourself. There are people that can help you along the way, but again they'd be volunteering their time.

So, if you really want this application packaged for inclusion in Debian and/or Ubuntu, I highly recommend putting in the time and learning how to do it yourself. When you do that, you'll find people are more willing to sponsor your work into the archives and perhaps even help maintain it.

Bear in mind also that this bug report is not the place for that. You can find help for this process at https://packaging.ubuntu.com/ .

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers